---
title: Build a Keyboard Links
tags:
    - keyboard
categories:
    - builds
date: 2023-01-11 19:48:00
---

Trying to build your own keyboard? Here are some links!

## Keyboard builds

List of open source, ergonomic keyboards  
https://github.com/Ultrahalf/ergo-keeb

Keyboard builders digest - Great site for news and inspiration  
https://kbd.news/

## Shopping for parts

Little Keyboards - Low Cost boards with kits and low cost cases.  
https://www.littlekeyboards.com/

Kriscable - In Europe but also has cool cables  
https://kriscables.com/

Keebio - A little more expensive but offers pre-soldered boards for easier entry  
https://keeb.io/

Insane ergo keyboards  
https://bastardkb.com/

https://shop.beekeeb.com/

https://novelkeys.com/

https://mysticmechs.com/

https://boardsource.xyz/

Affordable Switches  
https://divinikey.com/collections/switches
https://bolsakeyboardsupply.com/collections/all
https://en.akkogear.com/store/switch/
https://www.kailh.net/

##### High Quality key Caps

KBDFANS - https://kbdfans.com/collections/keycaps?filter.v.availability=1&filter.v.price.gte=&filter.v.price.lte=52&sort_by=created-descending  
Keebmonkey - https://www.keebmonkey.com/collections/keycaps
KPREPUBLIC - https://kprepublic.com/collections/keycaps

## Firmware and setup

QMK Configurator - Firmware modification and compilation in your browser  
https://config.qmk.fm/#/lily58/rev1/LAYOUT

Via - Keyboard Configuration in browser  
https://usevia.app/#/

## My Builds

[Lily58 Pro](https://www.littlekeyboards.com/collections/lily58-pcb-kits/products/lily58-pro-pcb-kit)
![upload successful](http://blog.maxg.cc/images/pasted-6.png)

[Quefrency Rev. 3](https://keeb.io/collections/quefrency-split-staggered-65-keyboard/products/quefrency-60-65-split-staggered-keyboard-1)
![upload successful](http://blog.maxg.cc/images/pasted-7.png)

Spare parts numpad.
![upload successful](http://blog.maxg.cc/images/pasted-8.png)

Quefrency with green LEDs and spare keycaps
![upload successful](http://blog.maxg.cc/images/pasted-10.png)

Another Quefrency! This one is for a friends birthday. Fun cat keycaps. The tape is to explain what the cat keys are before first use.
![upload successful](http://blog.maxg.cc/images/pasted-17.png)

Why am I building keyboards like this? -> https://www.youtube.com/watch?v=76eALNFp3kk
