---
title: Lower Pipewire CPU usage on Ubuntu while using Firefox
author: Max Gialanella
date: 2023-06-14 16:50:45
tags:
---

I was noticing high CPU usage for the pipewire process on Ubunutu.

After some digging, I came across [this thread](https://gitlab.freedesktop.org/pipewire/pipewire/-/issues/1968). The culprit is an accessibility feature in Firefox. If you are not using firefox's speech synthases features you can disable it to drop CPU usage.

1. Type `about:config` into the Address bar.
1. Search `media.webspeech.synth.enabled`
1. Set `media.webspeech.synth.enabled` to false.
1. Restart Firefox and check pipwire process cpu usage
