---
title: Sunshine a Parsec Alternative for Linux, GeForce Now alternative for Windows
tags: []
categories: []
date: 2023-01-01 05:31:17
---

Sunshine is a desktop streaming client for linux that offers efficient, low latency PC streaming, for free.
Download Sunshine onto your linux machine (the host)
[Sunshine Github][1]
Download moonlight onto whatever device you streaming on (the client)
[Moonlight Homepage][2]

I have spent a considerable amount of time looking for something that would replace Parsec when I switched to linux. A number of posts spoke about NoMachine, TightVNC and a number of other VNC clients. None of them were sufficient for what I wanted; low latency, high refresh rate, unlimited access to my PC.

Sunshine checks all the boxes. It uses an implementation of Nvidia's GameStream service. Its really fast and reliable. Better yet, you don't need to install Nvidia's crappy GeForce experience if you are doing this on a windows machine, you can also use Sunshine.

If you want to use sunshine outside of your local network, turn on Upnp in your router so that sunshine can set up all the required ports.

Checkout the sunshine docs for installation instructions -> https://docs.lizardbyte.dev/projects/sunshine/en/latest/about/installation.html

Start Running
cd downloads
./sunshine.AppImage --install && ./sunshine.AppImage

Once its set up, you can configure options in a browser. Visit:
https://localhost:47990/

[1]: https://github.com/LizardByte/Sunshine
[2]: https://moonlight-stream.org/

Additional fun stuff:
Moodlight supports wake on lan WOL. This is a feature on motherboards that allows the computer to boot up or wake from sleep.
Go into your bios and make sure its turned on. You can tell your eithernet controller is running during sleep if you sleep your computer but you can still see the orange light blinking on your eithernet port.
If you setup moonlight to work outside your network, you can also setup Wake on Lan, to wake up your computer if you are out of the house.
Port Forward UDP 7-9 to the Sunshine host. Now you can wake your computer from anywhere in the world.
