---
title: Tell Android to ignore folder contents
tags:
    - android
date: 2023-01-14
---

Tired of showing the contents of your audio books library in your music app?

Many Android applications scan local directories and display the contents when you are trying to say, add an image to a text message.

> a `.nomedia` file tells android to ignore folder contents when doing automatic scans for a file type.

Using an app like Solid Explorer, browse into the folder you want to exclude, create a new file and call it `.nomedia`. Thats it, you are done.

For example, if you have an "audio-books" folder, you don't want that appearing in your music app.  
If you have a "spicy memes" folder, you don't want that appearing in your photos app.

Android has a built in mechanism that tells the system "Hey, ignore the contents of this folder." Simply browse into the folder (On your phone) and create an empty file, name that file `.nomedia`. Thats it! Android will now ignore that folder.
